/* global Bdf,$$,Ficheframe */
/**
 * Objet global définissant l'espace de nom Ficheframe
 * 
 * @namespace Ficheframe,Bdf
 */

Ficheframe.init = function () {
    var toolbarId = $$({ficheframeRole: "toolbar"}).attr("id");
    var fieldeditId = $$({ficheframeRole: "fieldedit"}).attr("id");
    $$({ficheframeRole: "iframe"}).on("load", function (event) {
        let iframe = this;
        Ficheframe.testToolbar(iframe, toolbarId, fieldeditId, "", iframe.name, function () {
            if (Ficheframe.ARGS.goto) {
                try {
                    let $goto = $$(iframe.contentWindow.document, {bdfComponentName: Ficheframe.ARGS.goto});
                    if ($goto.length > 0) {
                        let top = $goto.offset().top;
                        $(iframe.contentWindow).scrollTop(top - 10);
                    }
                } catch(error) {

                }
            } 
        });
    });
};

$(function () {
    Bdf.initTemplates();
    Bdf.Api.init();
    Ficheframe.init();
});
